Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigToken Struct Reference

## Data Fields
enum TokenSyms | type
int | escaped
int | base
UChar * | backp
union {
UChar * s
int c
OnigCodePoint code
struct {
int subtype
int ascii_range
} anchor
struct {
int lower
int upper
int greedy
int possessive
} repeat
struct {
int num
int ref1
int * refs
int by_name
int exist_level
int level
} backref
struct {
UChar * name
UChar * name_end
int gnum
int rel
} call
struct {
int ctype
int not
} prop
} | u

## Detailed Description

Definition at line 2348 of file regparse.c.

## Field Documentation

struct { ... } OnigToken::anchor

Referenced by fetch_token(), and parse_exp().

int OnigToken::ascii_range

Definition at line 2359 of file regparse.c.

UChar* OnigToken::backp

Definition at line 2352 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), and parse_exp().

struct { ... } OnigToken::backref

Referenced by fetch_named_backref_token(), fetch_token(), and parse_exp().

int OnigToken::base

Definition at line 2351 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), and parse_char_class().

int OnigToken::by_name

Definition at line 2371 of file regparse.c.

int OnigToken::c

Definition at line 2355 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), and parse_exp().

struct { ... } OnigToken::call

Referenced by fetch_token(), and parse_exp().

OnigCodePoint OnigToken::code

Definition at line 2356 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), and parse_exp().

int OnigToken::ctype

Definition at line 2384 of file regparse.c.

int OnigToken::escaped

Definition at line 2350 of file regparse.c.

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), and parse_exp().

int OnigToken::exist_level

Definition at line 2373 of file regparse.c.

int OnigToken::gnum

Definition at line 2380 of file regparse.c.

int OnigToken::greedy

Definition at line 2364 of file regparse.c.

int OnigToken::level

Definition at line 2374 of file regparse.c.

int OnigToken::lower

Definition at line 2362 of file regparse.c.

UChar* OnigToken::name

Definition at line 2378 of file regparse.c.

UChar* OnigToken::name_end

Definition at line 2379 of file regparse.c.

int OnigToken::not

Definition at line 2385 of file regparse.c.

int OnigToken::num

Definition at line 2368 of file regparse.c.

int OnigToken::possessive

Definition at line 2365 of file regparse.c.

struct { ... } OnigToken::prop

Referenced by fetch_token(), fetch_token_in_cc(), parse_char_class(), parse_char_property(), and parse_exp().

int OnigToken::ref1

Definition at line 2369 of file regparse.c.

int* OnigToken::refs

Definition at line 2370 of file regparse.c.

int OnigToken::rel

Definition at line 2381 of file regparse.c.

struct { ... } OnigToken::repeat

Referenced by fetch_range_quantifier(), fetch_token(), and parse_exp().

UChar* OnigToken::s

Definition at line 2354 of file regparse.c.

int OnigToken::subtype

Definition at line 2358 of file regparse.c.

enum TokenSyms OnigToken::type

Definition at line 2349 of file regparse.c.

Referenced by fetch_named_backref_token(), fetch_range_quantifier(), fetch_token(), fetch_token_in_cc(), parse_char_class(), parse_exp(), and parse_subexp().

union { ... } OnigToken::u

Referenced by fetch_named_backref_token(), fetch_range_quantifier(), fetch_token(), fetch_token_in_cc(), parse_char_class(), parse_char_property(), and parse_exp().

int OnigToken::upper

Definition at line 2363 of file regparse.c.

The documentation for this struct was generated from the following file:

- regparse.c